- Qt 6.10
- Qt Wayland Compositor
- C++ Classes
- QWaylandXdgDecorationManagerV1
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandXdgDecorationManagerV1 Class

Provides an extension for negotiation of server-side and client-side window decorations. More...

Header: | `#include <QWaylandXdgDecorationManagerV1>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor)` `target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)`
qmake: | `QT += waylandcompositor`
In QML: | XdgDecorationManagerV1
Inherits: | QWaylandCompositorExtensionTemplate

- List of all members, including inherited members

## Properties

- preferredMode : QWaylandXdgToplevel::DecorationMode

## Public Functions

| QWaylandXdgDecorationManagerV1()
QWaylandXdgToplevel::DecorationMode | preferredMode() const
void | setPreferredMode(QWaylandXdgToplevel::DecorationMode preferredMode)

## Reimplemented Public Functions

virtual void | initialize() override

## Signals

void | preferredModeChanged()

## Static Public Members

const struct wl_interface * | interface()

## Detailed Description

The QWaylandXdgDecorationManagerV1 extension provides a way for a compositor to announce support for server-side window decorations, and for xdg-shell clients to communicate whether they prefer client-side or server-side decorations.

QWaylandXdgDecorationManagerV1 corresponds to the Wayland interface, `zxdg_decoration_manager_v1`.

See also QWaylandXdgToplevel::decorationMode.

## Property Documentation

### preferredMode : QWaylandXdgToplevel::DecorationMode

This property holds the decoration mode the compositor prefers.

This is the mode used for clients that don't indicate a preference for server-side or client-side decorations.

Access functions:

QWaylandXdgToplevel::DecorationMode | preferredMode() const
void | setPreferredMode(QWaylandXdgToplevel::DecorationMode preferredMode)

Notifier signal:

void | preferredModeChanged()

## Member Function Documentation

### `[explicit]` QWaylandXdgDecorationManagerV1::QWaylandXdgDecorationManagerV1()

Constructs a QWaylandXdgDecorationManagerV1 object.

### `[override virtual]` void QWaylandXdgDecorationManagerV1::initialize()

Reimplements: QWaylandCompositorExtension::initialize().

Initializes the extension.

### `[static]` const struct wl_interface *QWaylandXdgDecorationManagerV1::interface()

Returns the Wayland interface for the QWaylandXdgDecorationManagerV1.